--- a/src/amd/vulkan/meta/radv_meta.c
+++ b/src/amd/vulkan/meta/radv_meta.c
@@ -507,9 +507,14 @@ radv_device_init_meta(struct radv_device *device)
    if (result != VK_SUCCESS)
       return result;
 
-   result = radv_device_init_meta_astc_decode_state(device, on_demand);
-   if (result != VK_SUCCESS)
-      return result;
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: some trash.
+//   result = radv_device_init_meta_astc_decode_state(device, on_demand);
+//   if (result != VK_SUCCESS)
+//      return result;
 
    if (device->vk.enabled_features.deviceGeneratedCommands) {
       result = radv_device_init_dgc_prepare_state(device, on_demand);
@@ -517,26 +522,31 @@ radv_device_init_meta(struct radv_device *device)
          return result;
    }
 
-   if (device->vk.enabled_extensions.KHR_acceleration_structure) {
-      if (device->vk.enabled_features.nullDescriptor) {
-         result = radv_device_init_null_accel_struct(device);
-         if (result != VK_SUCCESS)
-            return result;
-      }
-
-      /* FIXME: Acceleration structure builds hang when the build shaders are compiled with LLVM.
-       * Work around it by forcing ACO for now.
-       */
-      bool use_llvm = pdev->use_llvm;
-      if (loaded_cache || use_llvm) {
-         pdev->use_llvm = false;
-         result = radv_device_init_accel_struct_build_state(device);
-         pdev->use_llvm = use_llvm;
-
-         if (result != VK_SUCCESS)
-            return result;
-      }
-   }
+//  XXX: insanely toxic compute based stuff pulling that
+//       disgusting khronos glslang. Should be independent
+//       of glslang and in simple C99: (spir-v|gcn/rdna assembly
+//       with simple and plain C99 written "assemblers").
+//       blame: Konstantin Seurer
+//   if (device->vk.enabled_extensions.KHR_acceleration_structure) {
+//      if (device->vk.enabled_features.nullDescriptor) {
+//         result = radv_device_init_null_accel_struct(device);
+//         if (result != VK_SUCCESS)
+//            return result;
+//      }
+//
+//      /* FIXME: Acceleration structure builds hang when the build shaders are compiled with LLVM.
+//       * Work around it by forcing ACO for now.
+//       */
+//      bool use_llvm = pdev->use_llvm;
+//      if (loaded_cache || use_llvm) {
+//         pdev->use_llvm = false;
+//         result = radv_device_init_accel_struct_build_state(device);
+//         pdev->use_llvm = use_llvm;
+//
+//         if (result != VK_SUCCESS)
+//            return result;
+//      }
+//   }
 
    return VK_SUCCESS;
 }
@@ -546,8 +556,8 @@ radv_device_finish_meta(struct radv_device *device)
 {
    radv_device_finish_dgc_prepare_state(device);
    radv_device_finish_meta_etc_decode_state(device);
-   radv_device_finish_meta_astc_decode_state(device);
-   radv_device_finish_accel_struct_build_state(device);
+//   radv_device_finish_meta_astc_decode_state(device);
+//   radv_device_finish_accel_struct_build_state(device);
    radv_device_finish_meta_clear_state(device);
    radv_device_finish_meta_resolve_state(device);
    radv_device_finish_meta_blit_state(device);
